# class KFilePropsPlugin | 'General' plugin This plugin displays the name of the file, its size and access times. More...
Internal Use Only
Definition | `#include <kpropsdlg.h>`
Inherits | KPropsDlgPlugin [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFilePropsPlugin ( KPropertiesDialog *_props )
- virtual ~KFilePropsPlugin ()
- virtual void applyChanges ()
- void postApplyChanges ()

#### Public Static Methods

- static bool supports ( KFileItemList _items )

#### Protected Slots

- void slotCopyFinished ( KIO::Job * )
- void slotFileRenamed ( KIO::Job *, const KURL &, const KURL & )
- void slotDirSizeFinished ( KIO::Job * )
- void slotSizeStop ()
- void slotSizeDetermine ()

## Detailed Description

'General' plugin This plugin displays the name of the file, its size and access times.

KFilePropsPlugin ( KPropertiesDialog *_props ) | ### KFilePropsPlugin

Constructor

~KFilePropsPlugin () | ### ~KFilePropsPlugin

[virtual]

void applyChanges () | ### applyChanges

[virtual]

Applies all changes made. This plugin must be always the first plugin in the dialog, since this function may rename the file which may confuse other applyChanges functions.

Reimplemented from KPropsDlgPlugin.

bool supports ( KFileItemList _items ) | ### supports

[static]

Tests whether the files specified by _items need a 'General' plugin.

void postApplyChanges () | ### postApplyChanges

Called after all plugins applied their changes

void slotCopyFinished ( KIO::Job * ) | ### slotCopyFinished

[protected slots slot]

void slotFileRenamed ( KIO::Job *, const KURL &, const KURL & ) | ### slotFileRenamed

[protected slots slot]

void slotDirSizeFinished ( KIO::Job * ) | ### slotDirSizeFinished

[protected slots slot]

void slotSizeStop () | ### slotSizeStop

[protected slots slot]

void slotSizeDetermine () | ### slotSizeDetermine

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.